<div class="admin-container">
  <nz-divider nzText="CPE repository" nzOrientation="left"></nz-divider>
  <nz-descriptions>
     <nz-descriptions-item nzTitle="Last date of modification">
        <span>{{cpeLastModifiedDate ? (cpeLastModifiedDate | date: 'MMM d, y, HH:mm') : 'Could not retrieve from database!'}}</span>
     </nz-descriptions-item>
  </nz-descriptions>
  <button nz-button
          nzType="primary"
          (click)="updateCPEs()">Update CPE repository</button>
  <nz-divider nzText="Users" nzOrientation="left"></nz-divider>
  <button nz-button
          nzType="primary"
          (click)="showRegisterModal()">Add new user</button>
  <app-create-user [isVisible]="this.isVisibleRegisterModal"
                   (onUserCreated)="this.allUsers()"></app-create-user>
  <app-users-table [users]="this.users"
                   (onSortClicked)="this.usersSort($event)"
                   (onPageClicked)="this.usersPagination($event)"
                   [pagination]="this.paginationInfo"></app-users-table>
</div>
